Search documentation of phoenix_kit

# PhoenixKitWeb.AuthRouter (phoenix_kit v1.6.19)

View Source

Legacy authentication router for PhoenixKit.

DEPRECATED: This module is kept for backward compatibility. Use `PhoenixKitWeb.Integration.phoenix_kit_routes/0` macro instead.

This router provides basic forwarding to authentication routes but lacks the advanced features and proper pipeline configuration of the Integration module.

## Migration Path

Replace usage of this router with the Integration macro:

    # Instead of:
    forward "/auth", PhoenixKitWeb.AuthRouter

    # Use:
    import PhoenixKitWeb.Integration
    phoenix_kit_routes()

# Summary

## Functions

browser(conn, _)
call(conn, opts)

Callback invoked by Plug on every request.

formatted_routes(_)

Callback implementation for `Phoenix.VerifiedRoutes.formatted_routes/1`.

init(opts)

Callback required by Plug that initializes the router for serving web requests.

phoenix_kit_redirect_if_authenticated(conn, _)
require_authenticated(conn, _)
verified_route?(_, split_path)

Callback implementation for `Phoenix.VerifiedRoutes.verified_route?/2`.

# Functions

# browser(conn, _)

# call(conn, opts)

Callback invoked by Plug on every request.

# formatted_routes(_)

Callback implementation for `Phoenix.VerifiedRoutes.formatted_routes/1`.

# init(opts)

Callback required by Plug that initializes the router for serving web requests.

# phoenix_kit_redirect_if_authenticated(conn, _)

# require_authenticated(conn, _)

# verified_route?(_, split_path)

Callback implementation for `Phoenix.VerifiedRoutes.verified_route?/2`.